### Constructor

# Adw SpinnerPaintable new

since: 1.6

#### Declaration [src]

    AdwSpinnerPaintable*
    adw_spinner_paintable_new (
      GtkWidget* widget
    )

#### Description [src]

Creates a new `AdwSpinnerPaintable` for `widget`.

Available since: 1.6

#### Parameters

`widget`

  Type: `GtkWidget`

  The widget used for frame clock.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `AdwSpinnerPaintable`

The newly created `AdwSpinnerPaintable`.

The caller of the function takes ownership of the data, and is responsible for freeing it.